package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.OrderMessage;


/**
*  service接口类
*/
public interface OrderMessageService{

    List<OrderMessage> getOrderMessageList(OrderMessage record);

    List<OrderMessage> getOrderMessageByPage(Page page, OrderMessage record);

    OrderMessage getOrderMessageById(String id);

    OrderMessage getOrderMessage(OrderMessage record);

    boolean createOrderMessage(OrderMessage record);

    boolean deleteOrderMessage(String id);

    boolean updateOrderMessage(OrderMessage record);
}

